import express, {Express, json} from 'express';
import 'dotenv/config';
import {artistRouter} from './routes/artist';
import cors from 'cors';
import {albumRouter} from './routes/albums';
import {connect} from 'mongoose';
import {trackRouter} from './routes/track';

const app: Express = express();
app.use(json());
app.use(cors());

app.use('/artists', artistRouter);
app.use('/albums', albumRouter);
app.use('/tracks', trackRouter);

const run = async () => {
	await connect(`${process.env.MONGO_URL}/musicApp`);
};

run().catch((err) => console.log(err));

app.listen(process.env.PORT, () => {
	console.log('Server started on port ' + process.env.PORT);
});
